<?php

/**
* $Id: english.php,v 1.10 2005/09/05 15:35:47 walb Exp $
*
* Badwords2 Text Filtering Component!
* @ Copyright (C) 2005 - 2006 Wim Albers, Niels Vandekeybus, Robert Anthony Pitera
* @ Based on the initial work Badword by Pravin Hegde
* @ All rights reserved
* @ Badwords2 Text Filter component is Free Software
* @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
*
**/

/** ensure this file is being included by a parent file */
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

/*** Common ***/

DEFINE('_BW2_ADMIN_YES','Tak');
DEFINE('_BW2_ADMIN_NO','Nie');
DEFINE('_BW2_ADMIN_MANAGE_HDR','Menedżer: ');
DEFINE('_BW2_ADMIN_BWLIST_HDR','Słownik nieprzyzwoitych wyrażeń');
DEFINE('_BW2_ADMIN_REGEX_HDR','Wyrażenia regularne');
DEFINE('_BW2_ADMIN_USER_HDR','Użytkownicy ze specjalnymi prawami');
DEFINE('_BW2_ADMIN_BW','Nieprzyzwoite wyrażenia');
DEFINE('_BW2_ADMIN_REGEX','Wyrażenie regularne');
DEFINE('_BW2_ADMIN_USER','Użytkownik');
DEFINE('_BW2_ADMIN_BW_HAS_BEEN','Nieprzyzwoite słowo zostało  ');
DEFINE('_BW2_ADMIN_REGEX_HAS_BEEN','Wyrażenie regularne zostało ');
DEFINE('_BW2_ADMIN_USER_HAS_BEEN','Użytkownik został ');
DEFINE('_BW2_ADMIN_CHANGED',' zmienione!');
DEFINE('_BW2_ADMIN_ADDED',' dodane(y)!');
DEFINE('_BW2_ADMIN_BW_REMOVED','Nieprzyzwoite słowo(a) zostało(y) usunięte!');
DEFINE('_BW2_ADMIN_REGEX_REMOVED','Regularne wyrażenie(a) zostało(y) usunięte.!');
DEFINE('_BW2_ADMIN_USER_REMOVED','Użytkownik został usunięty!');
DEFINE('_BW2_ADMIN_CONF_UPDATED','Szczegóły konfiguracji zostały zaktualizowane!');
DEFINE('_BW2_ADMIN_ERROR_CONF_WRITE','Nastąpił błąd! Plik konfiguracyjny nie może zostać zapisany!');
DEFINE('_BW2_ADMIN_WARNING_CONF_WRITE','<center><h1><font color=red>Uwaga...</font></h1><br /><b>Twój plik konfiguracyjny to /administrator/' . $configfile . '</b><br /><b>Ustaw prawa do zapisu instrukcją CHMOD 766, aby możliwe było zachowanie zmian w ustawieniach</b></center><br /><br />');
DEFINE('_BW2_ADMIN_PROV_WORD','Przykro, pozostawienie pola bez wartości jest niedozwolone. Musisz wpisać słowo.');
DEFINE('_BW2_ADMIN_PROV_REGEX','Przykro, pozostawienie pola bez wartości jest niedozwolone. Musisz wpisać wyrażenie regularne');
DEFINE('_BW2_ADMIN_PROV_USER','Przykro, pozostawienie pola bez wartości jest niedozwolone. Musisz wpisać użytkownika.');
DEFINE('_BW2_ADMIN_PROV_EDIT','Edycja: ');
DEFINE('_BW2_ADMIN_PROV_ADD','Dodanie: ');
DEFINE('_BW2_ADMIN_PERF_FILTER','Ustaw filtrowanie');
DEFINE('_BW2_ADMIN_YES_FILTER','<u>Tak</u> - Włącz filtrowanie nieprzyzwoitych słów. Ustawienie domyślne.');
DEFINE('_BW2_ADMIN_NO_FILTER','<u>Nie</u> - Wyłącz filtrowanie nieprzyzwoitych słów.');
DEFINE('_BW2_ADMIN_APPLY_REGEX','Zastosuj wyrażenia regularne');
DEFINE('_BW2_ADMIN_YES_REGEX','<u>Tak</u> - Zastosuj w filtrowaniu nieprzyzwoitych słów wyrażenia regularne.');
DEFINE('_BW2_ADMIN_NO_REGEX','<u>Nie</u> - Nie stosuj w filtrowaniu nieprzyzwoitych słów wyrażeń regularnych.  Ustawienie domyślne.');
DEFINE('_BW2_ADMIN_ALLOW_USER_BW','Akceptuj odstępstwa użytkowników z grupy Specjal');
DEFINE('_BW2_ADMIN_YES_USER_BW','<u>Tak</u> - Użytkownicy z listy ze specjalnymi uprawnieniami mogą używać dowolnych słów i wyrażeń.');
DEFINE('_BW2_ADMIN_NO_USER_BW','<u>Nie</u> - <b>Żaden użytkownik</b> nie może stosować nieprzyzwoitych słów włącznie z moderatorami i administratorami. Ustawienie domyślne.');
DEFINE('_BW2_ADMIN_VERSION','Wersja:');
DEFINE('_BW2_ADMIN_README','Czytaj:');
DEFINE('_BW2_ADMIN_EDIT_BW_HELP','<h3><strong>POMOC: Stosowanie znaku specjalnego - GWIAZDKI.</strong></h3>
W prosty sposób możesz utworzyć słowa wzorcowe, dzięki zastosowaniu znaku specjalnego, którym jest gwiazdka (*) umieszczana na początku lub na końcu, albo i na początku i na końcu słowa.<br />
np. aby zastosować funkcję fltrowania słowa = złeSłowo. Dostępne są następujące możliwości:
<ul>
<li>złeSłowo* - wyszuka w tekście każdy przypadek wyrazu ropoczynających się od zleSłowo i zastąpi go gwiazdkami  ******** </li>
<li>*złeSłowo - wyszuka w tekście każdy przypadek wyrazu kończących się ciągiem zleSłowo i zastąpi go gwiazdkami  ******** </li>
<li>*złeSłowo* - wyszuka w tekście każdy przypadek wyrazu, który posiada w środku ciąg zleSłowo i zastąpi go gwiazdkami ********</li>
<li>złeSłowo - wyszuka w tekście tylko każdy przypadek wyrazu, który brzmi dokładnie zleSłowo i zastąpi go gwiazdkami ******* </li>
</ul>
<br />
Uwaga: Każda z tych konstrukcji ma zastosowanie do funkcji filtrowania, z tym że w tym przypadku zamiast tekstu zawierającego niecenzuralne słowo użytkownik zobaczy komunikat błędu (np. że tekst zostal ocenzurowany)<br />
Aby uzyskać więcej informacji, zapoznaj się z zawartością pliku README.txt.
');
DEFINE('_BW2_ADMIN_EDIT_REGEX_HELP','<h3><strong>POMOC: Stosowanie wyrażeń regularnych.</strong></h3>

Wyrażenie regularne (w skrócie: regex albo regexp) są sposobem porównywania ciągów ze znakami specjalnymi, które zastępują większe porcje ciągu docelowego. Prawdopodobnie znasz już takie znaki specjalne, jak * [gwiazdka], która w wyrażeniu *.txt oznacza, że należy wyszukać w katalogu wszystkie pliki,  z rozszerzeniem .txt. Gwiazdka zastępuje tutaj wszystkie znaki nazwy. Ekwiwalentne wyrażenie regularne miałoby następujący kształt: .*\.txt<br /><br /><br /> <br />Zastosowanie wyrażeń regularnych nie jest wymagane, by Badwords2 wykrywał i filtrował niecenzuralne fragmenty tekstu. Jeśli nie jesteś dobrze zaznajomiony ze stosowaniem wyrażeń regularnych, ich składnią, proponujemy Ci pozostawić przykład tak, jak został umieszczony. Jeśli chcesz zapoznać się bliżej z tą problematyką, skorzystaj z poradnika zamieszczonego pod adresem <a href="http://weblogtoolscollection.com/regex/regex.php">
http://weblogtoolscollection.com/regex/regex.php</a>, objaśniającego podstawy, przykłady stosowania,  funkcje PHP korzystające z wyrażeń regularnych.
');
DEFINE('_BW2_ADMIN_EDIT_USER_HELP','<h3><strong>POMOC: Użytkonicy ze specjalnymi prawami.</strong></h3>
Wpisz tutaj dokładną nazwę-login użytkownika witryny, którego upoważniasz do stosowania słów podlegających cenzurze. 
');
DEFINE('_BW2_ADMIN_COMP_SETTINGS','Ustawienia komponentu Badwords2 :');
DEFINE('_BW2_ADMIN_COMP_SETTINGS_CONF_FILE_IS','Plik konfiguracyjny jest :');
DEFINE('_BW2_ADMIN_COMP_SETTINGS_WRITEABLE','Zapisywalny');
DEFINE('_BW2_ADMIN_COMP_SETTINGS_UNWRITEABLE','Niezapisywalny');

?>